%define upstream_name	 Snowball-Swedish
%define upstream_version 1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Porters stemming algorithm for Swedish
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AS/ASKSH/%{upstream_name}-%{upstream_version}.tar.bz2



BuildArch:	noarch

Requires:	locales-sv
Obsoletes:	perl-Lingua-Stem-Snowball-Se
Provides:	perl-Lingua-Stem-Snowball-Se

%{?perl_default_filter}

%description
The stem function takes a scalar as a parameter and stems the word according to
Martin Porters Swedish stemming algorithm, which can be found at the Snowball
website: http://snowball.tartarus.org/.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Lingua
%{_bindir}/stemmer-se.pl
%{_mandir}/man3*/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-10.mga8
+ Revision: 1497182
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-9.mga7
+ Revision: 1271195
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-8.mga6
+ Revision: 1033127
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.200.0-7.mga6
+ Revision: 939081
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-6.mga5
+ Revision: 743170
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.200.0-5.mga5
+ Revision: 733377
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 686202
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 514604
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 372655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 22825
- cleaning spec file
- imported package perl-Snowball-Swedish


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2010.1
+ Revision: 505282
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.2-4mdv2010.0
+ Revision: 430539
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.2-3mdv2009.0
+ Revision: 241857
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdv2008.0
+ Revision: 56111
- new version


* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.01-3mdv2007.0
+ Revision: 89753
- Import perl-Snowball-Swedish

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-3mdk
- changed name
- spec cleanup
- fix directory ownership
- %%mkrel
- rpmbuildupdate aware
- better summary
- better description
- better url

* Sat Oct 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.01-2mdk
- fix deps

